to, 2006-10-12 kello 21:55 -0700, Steve Langasek kirjoitti:

> > to be REMOVED:
> >   libgl1-mesa-dev libgl1-mesa-dri libgl1-mesa-glx x-window-system
> > x-window-system-core xlibmesa-dri xlibmesa-gl xlibmesa-gl-dev xorg
> > to be INSTALLED:
> >   autoconf2.13 fftw3-dev libgl1-mesa-swx11 libgl1-mesa-swx11-dev
> > libglu1-xorg-dev
> 
> > To remove xorg just to build grass? Somewhat exaggarated, IMHO.
> 
> That doesn't make it a serious bug in grass just because you choose not to
> install the build-dependencies.
> 
> Though since grass doesn't appear to be building against libOSMesa, it
> should be fixed to use one of the less-conflicty implementations of
> libgl1-dev.

Yes, I think this was the point I was trying to make; not really knew
how to put it, though.

> > And the current grass binary dependes on libgdal1-1.3.2, which is the
> > current version in testing, not 1.3.1, which is required by 
> > the source package. Would be nice to have the control file that was used
> > to build the current testing packages, not some age-old 
> > ones.
> 
> What are you talking about?  The current version of the package
> build-depends on libgdal1-1.3.2-dev.

Considering the high general quality of Debian, the mistake must have
been on my side; an apt-src remove grass with apt-src install grass did
the trick, and suddenly the control file was updated... Don't have an
explanation for that, though.


-- 
Harri Kiiskinen <[EMAIL PROTECTED]>



_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to